Subject: HELP. BAD AMMONIA SMELL COMING FROM BY POTTED PLANT

From: "R. Daneel Olivaw" <[email-masked]>
Date: Mon, 20 May 1996 01:15:41 -0700

We have a strong ammonia smell coming from the soil of one of our large 
potted palms.  We live in Indondesia and it's an Indonesian palm.  Don't 
know the English or Latin name though that may not be relevant.  We 
haven't added anything to soil except Urea for Nitrogen.  Could that be 
the cause or perhaps there's another reason?

Thanks.

Daneel